<?php
require_once 'config.php';
require_once 'captcha_functions.php';

session_start();

$error = '';

$captcha_data = getCAPTCHA();

if ($_SERVER["REQUEST_METHOD"] == "POST") {
    $username = $_POST['username'];
    $password = $_POST['password'];
    $user_answer = $_POST['captcha'];
    $captcha_id = $_POST['captcha_id'];

    $verify_result = verifyCAPTCHA($captcha_id, $user_answer);

    if ($verify_result && $verify_result['success']) {
        $query = "SELECT * FROM users WHERE username='$username'";
        $result = $conn->query($query);

        if ($result->num_rows == 1) {
            $user = $result->fetch_assoc();
            if (password_verify($password, $user['password'])) {
                $_SESSION['username'] = $username;
                header("Location: index.php");
                exit();
            } else {
                $error = "Password is invalid!.";
            }
        } else {
            $error = "Username not found.";
        }
    } else {
        $error = "CAPTCHA is invalid!.";
    }
}

$conn->close();
?>

<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Login</title>
</head>
<body>
    <h2>Login</h2>
    <form action="<?php echo htmlspecialchars($_SERVER["PHP_SELF"]); ?>" method="post">
        <label>Username:</label><br>
        <input type="text" name="username" required><br>
        <label>Password:</label><br>
        <input type="password" name="password" required><br><br>
        <label for="captcha">Captcha:</label><br>
        <?php
        if ($captcha_data) {
            echo $captcha_data['data'];
            echo '<br>';
            echo '<input type="hidden" name="captcha_id" value="' . $captcha_data['id'] . '">';
        }
        ?><br>
        <input type="text" name="captcha" required><br><br>
        <input type="submit" value="Login">
    </form>
    <p><?php echo $error; ?></p>
	
	<a href="register.php"><span>Register</span></a>
</body>
</html>
